<?php
class ModelOutrosRedirecionamento301 extends Model {

  public function getRedirecionamentos($data) {

    $sql = "select * from " . DB_PREFIX . "redirecionamento301";

    if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}

			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}

			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}
    $query = $this->db->query($sql);

    return $query->rows;

	}

  public function getRedirecionamento($id) {
    $query = $this->db->query("select * from " . DB_PREFIX . "redirecionamento301 where id = '".(int)$id. "'");

    return array(
      'id'            => $query->row['id'],
      'link_origem'   => $query->row['link_origem'],
      'link_destino'  => $query->row['link_destino']
    );
	}

  public function getTotalRedirecionamentos() {
    $query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "redirecionamento301");

		return $query->row['total'];
	}

	public function addRedirecionamento($data) {
	  $this->db->query("INSERT INTO " . DB_PREFIX . "redirecionamento301 SET link_origem = '" . $this->db->escape($data['link_origem']) . "', link_destino = '" . $this->db->escape($data['link_destino']). "'");
  }

  public function updateRedirecionamento($id, $data) {
    $this->db->query("UPDATE " . DB_PREFIX . "redirecionamento301 SET link_origem = '" . $this->db->escape($data['link_origem']) . "', link_destino = '" . $this->db->escape($data['link_destino'])."' WHERE id = '".(int)$id."'");
  }

  public function deleteRedirecionamento($id) {
    $this->db->query("DELETE from " . DB_PREFIX . "redirecionamento301 WHERE id = '".(int)$id."'");
  }
  
}

